#
# Cookbook:: InfluxDB
# Recipe:: default
#
# Copyright:: 2018, The Authors, All Rights Reserved.

case node['platform']
when 'centos'

#-------Adding InfluxDB Repository-------------------
yum_repository 'Influxdb' do
  description 'InfluxDB yum repository'
  url 'https://repos.influxdata.com/rhel/$releasever/$basearch/stable'
  enabled true
  gpgcheck true
  gpgkey 'https://repos.influxdata.com/influxdb.key'
  action :create
end

#-------Updating Yum Repo-------------------------------------
execute "run-yum-clean-all" do
  command "sudo yum clean all"
end
execute "run-yum-update-" do
  command "sudo yum  update -y"
end

#---------Installing-Packages---------------------------------
package "influxdb" do
  action :install
end

#--------Restarting and Enabling Services---------------------
service "influxd" do
  action [:restart, :enable]
end

when 'ubuntu'
  
#-------Adding InfluxDB Repository-----------------------------
apt_repository 'InfluxDB' do
  uri          'https://repos.influxdata.com/ubuntu'
  distribution 'bionic'
  components   ['stable']
  key          'https://repos.influxdata.com/influxdb.key'
end

#------Updating The Repository---------------------------
apt_update 'update'


#------Installing InfluxDb----------
package "influxdb" do
  action :install
end

#---------Restarting The Services-------------------------
service "influxd" do
  action [:restart, :enable]
end

end
